#pragma rtGlobals=1		// Use modern global access method.

constant LJ_dtUE9 = 9 
constant LJ_dtU3 = 3 
constant LJ_dtU6 = 6
constant LJ_ctUSB = 1  // UE9 + U3
constant LJ_ctETHERNET = 2  // UE9 only
constant LJ_ctUSB_RAW = 101  // UE9 + U3
constant LJ_ctETHERNET_RAW = 102  // UE9 only
constant LJ_ioGET_AIN = 10  // UE9 + U3.  This is single ended version.  
constant LJ_ioGET_AIN_DIFF = 15  // U3 only.  Put negative channel in x1.  If 32 is passed as x1, Vref will be added to the result. 
constant LJ_ioPUT_AIN_RANGE = 2000  // UE9
constant LJ_ioGET_AIN_RANGE = 2001  // UE9
constant LJ_ioPUT_ANALOG_ENABLE_BIT = 2013  // U3 
constant LJ_ioGET_ANALOG_ENABLE_BIT = 2014  // U3 
constant LJ_ioPUT_ANALOG_ENABLE_PORT = 2015  // U3 
constant LJ_ioGET_ANALOG_ENABLE_PORT = 2016  // U3
constant LJ_ioPUT_DAC = 20  // UE9 + U3
constant LJ_ioPUT_DAC_ENABLE = 2002  // UE9 + U3 (U3 on Channel 1 only)
constant LJ_ioGET_DAC_ENABLE = 2003  // UE9 + U3 (U3 on Channel 1 only)
constant LJ_ioGET_DIGITAL_BIT = 30  // UE9 + U3  // changes direction of bit to input as well
constant LJ_ioGET_DIGITAL_BIT_DIR = 31  // U3
constant LJ_ioGET_DIGITAL_BIT_STATE = 32  // does not change direction of bit, allowing readback of output
constant LJ_ioGET_DIGITAL_PORT = 35  // UE9 + U3  // changes direction of bits to input as well
constant LJ_ioGET_DIGITAL_PORT_DIR = 36  // U3
constant LJ_ioGET_DIGITAL_PORT_STATE = 37  // U3 does not change direction of bits, allowing readback of output
constant LJ_ioPUT_DIGITAL_BIT = 40  // UE9 + U3
constant LJ_ioPUT_DIGITAL_PORT = 45  // UE9 + U3
constant LJ_ioPUT_WAIT = 70  // U3
constant LJ_ioGET_COUNTER = 50  // UE9 + U3
constant LJ_ioPUT_COUNTER_ENABLE = 2008  // UE9 + U3
constant LJ_ioGET_COUNTER_ENABLE = 2009  // UE9 + U3
constant LJ_ioPUT_COUNTER_RESET = 2012   // UE9 + U3 
constant LJ_ioGET_TIMER = 60  // UE9 + U3
constant LJ_ioPUT_TIMER_VALUE = 2006  // UE9 + U3.  Value gets new value
constant LJ_ioPUT_TIMER_MODE = 2004  // UE9 + U3.  On both Value gets new mode.  
constant LJ_ioGET_TIMER_MODE = 2005  // UE9
constant LJ_ioSHT_GET_READING = 500  // UE9 + U3.
constant LJ_ioSHT_DATA_CHANNEL = 501  // UE9 + U3. Default is FIO0
constant LJ_ioSHT_CLOCK_CHANNEL = 502  // UE9 + U3. Default is FIO1
constant LJ_ioSPI_COMMUNICATION = 503  // UE9
constant LJ_ioPIN_CONFIGURATION_RESET = 2017  // U3
constant LJ_ioRAW_OUT = 100  // UE9 + U3
constant LJ_ioRAW_IN = 101  // UE9 + U3
constant LJ_ioSET_DEFAULTS = 103  // U3
constant LJ_ioADD_STREAM_CHANNEL = 200  // UE9 + U3
constant LJ_ioADD_STREAM_CHANNEL_DIFF = 206  // U3
constant LJ_ioCLEAR_STREAM_CHANNELS = 201 
constant LJ_ioSTART_STREAM = 202 
constant LJ_ioSTOP_STREAM = 203 
constant LJ_ioGET_STREAM_DATA = 204 
constant LJ_ioSET_STREAM_CALLBACK = 205 
constant LJ_ioBUZZER = 300  // U3 
constant LJ_ioPUT_CONFIG = 1000  // UE9 + U3
constant LJ_ioGET_CONFIG = 1001  // UE9 + U3
constant LJ_chLOCALID = 0  // UE9 + U3
constant LJ_chHARDWARE_VERSION = 10  // UE9 + U3 (Read Only)
constant LJ_chSERIAL_NUMBER = 12  // UE9 + U3 (Read Only)
constant LJ_chFIRMWARE_VERSION = 11  // UE9 + U3 (Read Only)
constant LJ_chBOOTLOADER_VERSION = 15  // UE9 + U3 (Read Only)
constant LJ_chCOMM_POWER_LEVEL = 1  //UE9
constant LJ_chIP_ADDRESS = 2  //UE9
constant LJ_chGATEWAY = 3  //UE9
constant LJ_chSUBNET = 4  //UE9
constant LJ_chPORTA = 5  //UE9
constant LJ_chPORTB = 6  //UE9
constant LJ_chDHCP = 7  //UE9
constant LJ_chPRODUCTID = 8  //UE9
constant LJ_chMACADDRESS = 9  //UE9
constant LJ_chCOMM_FIRMWARE_VERSION = 11   
constant LJ_chCONTROL_POWER_LEVEL = 13  //UE9 
constant LJ_chCONTROL_FIRMWARE_VERSION = 14  //UE9 (Read Only)
constant LJ_chCONTROL_BOOTLOADER_VERSION = 15  //UE9 (Read Only)
constant LJ_chCONTROL_RESET_SOURCE = 16  //UE9 (Read Only)
constant LJ_chUE9_PRO = 19  // UE9 (Read Only)
constant LJ_chLED_STATE = 17  // U3   value = LED state
constant LJ_chSDA_SCL = 18  // U3   enable / disable SDA/SCL as digital I/O
constant LJ_chCAL_CONSTANTS = 400  // UE9 + U3
constant LJ_chUSER_MEM = 402  // UE9 + U3
constant LJ_chUSB_STRINGS = 404  // U3
constant LJ_chNUMBER_TIMERS_ENABLED = 1000  // UE9 + U3
constant LJ_chTIMER_CLOCK_BASE = 1001  // UE9 + U3
constant LJ_chTIMER_CLOCK_DIVISOR = 1002  // UE9 + U3
constant LJ_chTIMER_COUNTER_PIN_OFFSET = 1003  // U3
constant LJ_chAIN_RESOLUTION = 2000  // ue9 + u3
constant LJ_chAIN_SETTLING_TIME = 2001  // ue9 + u3
constant LJ_chAIN_BINARY = 2002  // ue9 + u3
constant LJ_chDAC_BINARY = 3000  // ue9 + u3
constant LJ_chSHT_TEMP = 5000  // ue9 + u3
constant LJ_chSHT_RH = 5001  // ue9 + u3
constant LJ_chSPI_AUTO_CS = 5100  // UE9
constant LJ_chSPI_DISABLE_DIR_CONFIG = 5101  // UE9
constant LJ_chSPI_MODE = 5102  // UE9
constant LJ_chSPI_CLOCK_FACTOR = 5103  // UE9
constant LJ_chSPI_MOSI_PINNUM = 5104  // UE9
constant LJ_chSPI_MISO_PINNUM = 5105  // UE9
constant LJ_chSPI_CLK_PINNUM = 5106  // UE9
constant LJ_chSPI_CS_PINNUM = 5107  // UE9
constant LJ_chSTREAM_SCAN_FREQUENCY = 4000 
constant LJ_chSTREAM_BUFFER_SIZE = 4001 
constant LJ_chSTREAM_CLOCK_OUTPUT = 4002 
constant LJ_chSTREAM_EXTERNAL_TRIGGER = 4003 
constant LJ_chSTREAM_WAIT_MODE = 4004 
constant LJ_chSTREAM_DISABLE_AR = 4005  // U3		LJ_chSTREAM_DISABLE_AUTORECOVERY
constant LJ_chSTREAM_BACKLOG_COMM = 4105 
constant LJ_chSTREAM_BACKLOG_CONTROL = 4106 
constant LJ_chSTREAM_BACKLOG_UD = 4107 
constant LJ_chSTREAM_SAMPLES_PER_PACKET = 4108 
constant LJ_chALL_CHANNELS = -1 
constant LJ_INVALID_CONSTANT = -999 
constant LJ_ttB = 6001 
constant LJ_ttE = 6002 
constant LJ_ttJ = 6003 
constant LJ_ttK = 6004 
constant LJ_ttN = 6005 
constant LJ_ttR = 6006 
constant LJ_ttS = 6007 
constant LJ_ttT = 6008 
constant LJ_rgBIP20V = 1   // -20V to +20V
constant LJ_rgBIP10V = 2   // -10V to +10V
constant LJ_rgBIP5V = 3    // -5V to +5V
constant LJ_rgBIP4V = 4    // -4V to +4V
constant LJ_rgBIP2P5V = 5  // -2.5V to +2.5V
constant LJ_rgBIP2V = 6    // -2V to +2V
constant LJ_rgBIP1P25V = 7 // -1.25V to +1.25V
constant LJ_rgBIP1V = 8    // -1V to +1V
constant LJ_rgBIPP625V = 9 // -0.625V to +0.625V
constant LJ_rgUNI20V = 101   // 0V to +20V
constant LJ_rgUNI10V = 102   // 0V to +10V
constant LJ_rgUNI5V = 103    // 0V to +5V
constant LJ_rgUNI4V = 104    // 0V to +4V
constant LJ_rgUNI2P5V = 105  // 0V to +2.5V
constant LJ_rgUNI2V = 106    // 0V to +2V
constant LJ_rgUNI1P25V = 107 // 0V to +1.25V
constant LJ_rgUNI1V = 108    // 0V to +1V
constant LJ_rgUNIP625V = 109 // 0V to +0.625V
constant LJ_rgUNIP500V = 110  // 0V to +0.500V
constant LJ_rgUNIP3125V = 111  // 0V to +0.3125V
constant LJ_tmPWM16 = 0  // 16 bit PWM
constant LJ_tmPWM8 = 1  // 8 bit PWM
constant LJ_tmRISINGEDGES32 = 2  // 32-bit rising to rising edge measurement
constant LJ_tmFALLINGEDGES32 = 3  // 32-bit falling to falling edge measurement
constant LJ_tmDUTYCYCLE = 4  // duty cycle measurement
constant LJ_tmFIRMCOUNTER = 5  // firmware based rising edge counter
constant LJ_tmFIRMCOUNTERDEBOUNCE = 6  // firmware counter with debounce
constant LJ_tmFREQOUT = 7  // frequency output
constant LJ_tmQUAD = 8  // Quadrature
constant LJ_tmTIMERSTOP = 9  // stops another timer after n pulses
constant LJ_tmSYSTIMERLOW = 10  // read lower 32-bits of system timer
constant LJ_tmSYSTIMERHIGH = 11  // read upper 32-bits of system timer
constant LJ_tmRISINGEDGES16 = 12  // 16-bit rising to rising edge measurement
constant LJ_tmFALLINGEDGES16 = 13  // 16-bit falling to falling edge measurement
constant LJ_tc750KHZ = 0    // UE9: 750 khz 
constant LJ_tcSYS = 1       // UE9: system clock
constant LJ_tc2MHZ = 10      // U3: Hardware Version 1.20 or lower
constant LJ_tc6MHZ = 11      // U3: Hardware Version 1.20 or lower
constant LJ_tc24MHZ = 12      // U3: Hardware Version 1.20 or lower
constant LJ_tc500KHZ_DIV = 13 // U3: Hardware Version 1.20 or lower
constant LJ_tc2MHZ_DIV = 14   // U3: Hardware Version 1.20 or lower
constant LJ_tc6MHZ_DIV = 15   // U3: Hardware Version 1.20 or lower
constant LJ_tc24MHZ_DIV = 16  // U3: Hardware Version 1.20 or lower
constant LJ_tc4MHZ = 20      // U3: Hardware Version 1.21 or higher
constant LJ_tc12MHZ = 21      // U3: Hardware Version 1.21 or higher
constant LJ_tc48MHZ = 22      // U3: Hardware Version 1.21 or higher
constant LJ_tc1MHZ_DIV = 23 // U3: Hardware Version 1.21 or higher
constant LJ_tc4MHZ_DIV = 24   // U3: Hardware Version 1.21 or higher
constant LJ_tc12MHZ_DIV = 25   // U3: Hardware Version 1.21 or higher
constant LJ_tc48MHZ_DIV = 26  // U3: Hardware Version 1.21 or higher
constant LJ_swNONE = 1   // no wait, return whatever is available
constant LJ_swALL_OR_NONE = 2  // no wait, but if all points requested aren't available, return none.
constant LJ_swPUMP = 11   // wait and pump the message pump.  Prefered when called from primary thread (if you don't know
constant LJ_swSLEEP = 12  // wait by sleeping (don't do this in the primary thread of your app, or it will temporarily 
constant LJ_chSWDT_RESET_COMM = 5200  // UE9 - Reset Comm on watchdog reset
constant LJ_chSWDT_RESET_CONTROL = 5201  // UE9 - Reset Control on watchdog trigger
constant LJ_chSWDT_UDPATE_DIO0 = 5202  // UE9 - Update DIO0 settings after reset
constant LJ_chSWDT_UPDATE_DIO1 = 5203  // UE9 - Update DIO1 settings after reset
constant LJ_chSWDT_DIO0 = 5204  // UE9 - DIO0 channel and state (value) to be set after reset
constant LJ_chSWDT_DIO1 = 5205  // UE9 - DIO1 channel and state (value) to be set after reset
constant LJ_chSWDT_UPDATE_DAC0 = 5206  // UE9 - Update DAC1 settings after reset
constant LJ_chSWDT_UPDATE_DAC1 = 5207  // UE9 - Update DAC1 settings after reset
constant LJ_chSWDT_DAC0 = 5208  // UE9 - voltage to set DAC0 at on watchdog reset
constant LJ_chSWDT_DAC1 = 5209  // UE9 - voltage to set DAC1 at on watchdog reset
constant LJ_chSWDT_DACS_ENABLE = 5210  // UE9 - Enable DACs on watchdog reset
constant LJ_chSWDT_ENABLE = 5211  // UE9 - used with LJ_ioSWDT_CONFIG to enable watchdog.  Value paramter is number of seconds to trigger
constant LJ_chSWDT_DISABLE = 5212  // UE9 - used with LJ_ioSWDT_CONFIG to enable watchdog.
constant LJ_ioSWDT_CONFIG = 504  // UE9 - Use LJ_chSWDT_ENABLE or LJ_chSWDT_DISABLE
constant LJ_ioANALOG_INPUT = 10   
constant LJ_ioANALOG_OUTPUT = 20  // UE9 + U3
constant LJ_ioDIGITAL_BIT_IN = 30  // UE9 + U3
constant LJ_ioDIGITAL_PORT_IN = 35  // UE9 + U3 
constant LJ_ioDIGITAL_BIT_OUT = 40  // UE9 + U3
constant LJ_ioDIGITAL_PORT_OUT = 45  // UE9 + U3
constant LJ_ioCOUNTER = 50  // UE9 + U3
constant LJ_ioTIMER = 60  // UE9 + U3
constant LJ_ioPUT_COUNTER_MODE = 2010  // UE9
constant LJ_ioGET_COUNTER_MODE = 2011  // UE9
constant LJ_ioGET_TIMER_VALUE = 2007  // UE9
constant LJ_ioCYCLE_PORT = 102   // UE9 
constant LJ_chTIMER_CLOCK_CONFIG = 1001  // UE9 + U3 // depr
constant LJ_ioPUT_CAL_CONSTANTS = 400 
constant LJ_ioGET_CAL_CONSTANTS = 401 
constant LJ_ioPUT_USER_MEM = 402 
constant LJ_ioGET_USER_MEM = 403 
constant LJ_ioPUT_USB_STRINGS = 404 
constant LJ_ioGET_USB_STRINGS = 405 




